## dzl-child-property-action dzl-child-property-action |

## Functions

GAction * | dzl_child_property_action_new ()

## Properties

GtkWidget * | child | Read
gchar * | child-property-name | Read
GtkContainer * | container | Read

## Types and Values

#define | DZL_TYPE_CHILD_PROPERTY_ACTION
| DzlChildPropertyAction

## Object Hierarchy

        GObject
        ╰── DzlChildPropertyAction

## Implemented Interfaces

DzlChildPropertyAction implements GAction.

## Description

## Functions

### dzl_child_property_action_new ()

    GAction *
    dzl_child_property_action_new (const gchar *name,
                                   GtkContainer *container,
                                   GtkWidget *child,
                                   const gchar *child_property_name);

This creates a new GAction that will change when the underlying child property of `container` changes for `child` .

#### Parameters

name | the name of the action |
container | the container of the widget |
child | the widget for the child property |
child_property_name | the name of the child property |

#### Returns

A new DzlChildPropertyAction.

[transfer full]

## Types and Values

### DZL_TYPE_CHILD_PROPERTY_ACTION

    #define DZL_TYPE_CHILD_PROPERTY_ACTION  (dzl_child_property_action_get_type())

### DzlChildPropertyAction

    typedef struct _DzlChildPropertyAction DzlChildPropertyAction;

## Property Details

### The `“child”` property

      “child”                    GtkWidget *

The child widget.

Flags: Read

### The `“child-property-name”` property

      “child-property-name”      gchar *

The name of the child property.

Flags: Read

Default value: NULL

### The `“container”` property

      “container”                GtkContainer *

The container widget.

Flags: Read